importScripts("./ComPDFkit.js")

import MessageHandler from "./messageHandler"

class ComPDFKitWorker {
  static setup(gloabal) {
    const messageHandler = new MessageHandler(gloabal)
    this.messageHandler = messageHandler
  }
}

async function setUp() {
  while (!runtimeInitialized) {
    await sleep(100)
  }
  return new Promise((resolve, reject) => {
    resolve()
  })
}

setUp().then(() => {
  function (gloabal) {
    gloabal.onmessage = function (e) {
      const action = e.data.action
      if (action === 'init') {
        ComPDFKitWorker.setup(gloabal)
      }
    }
  }(typeof window !== 'undefined' ? window : self)
})
